List IDP Groups
curl --request GET \
--url https://api.devin.ai/v3/enterprise/members/idp-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/members/idp-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/members/idp-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"idp_group_name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
]
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}IDP Groups (Enterprise)
List IDP Groups
GET
/
v3
/
enterprise
/
members
/
idp-groups
List IDP Groups
Permissions
Requires a service user with theViewAccountMembership permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).
⌘I

